Debian Bug report logs - #648209
pianobar: Pandora changed to protocol v33

version graph

Package: pianobar; Maintainer for pianobar is Luke Faraone <lfaraone@debian.org>; Source for pianobar is src:pianobar.

Reported by: Luke Faraone <lfaraone@debian.org>

Date: Wed, 9 Nov 2011 16:15:05 UTC

Severity: grave

Found in version pianobar/2011.09.22-1

Fixed in version pianobar/2011.11.11-1

Done: Luke Faraone <lfaraone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, luke@faraone.cc:
Bug#648209; Package pianobar. (Wed, 09 Nov 2011 16:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Faraone <lfaraone@debian.org>:
New Bug report received and forwarded. Copy sent to luke@faraone.cc. (Wed, 09 Nov 2011 16:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luke Faraone <lfaraone@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pianobar: Pandora changed to protocol v33
Date: Wed, 09 Nov 2011 11:12:52 -0500
Package: pianobar
Version: 2011.09.22-1
Severity: grave
Justification: renders package unusable

Downstream: http://pad.lv/887886
Upstream: https://github.com/PromyLOPh/pianobar/issues/171

$ pianobar
Welcome to pianobar (2011.01.24)! Press ? for a list of commands.
(i) Login... Error: Protocol incompatible. Please upgrade libpiano.

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-security
  APT policy: (990, 'oneiric-security'), (900, 'oneiric-updates'), (500, 'oneiric')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-12-generic (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pianobar depends on:
ii  libao4                  1.1.0-1ubuntu1   Cross Platform Audio Output Librar
ii  libc6                   2.13-20ubuntu5   Embedded GNU C Library: Shared lib
ii  libfaad2                2.7-6ubuntu1     freeware Advanced Audio Decoder - 
ii  libmad0                 0.15.1b-5ubuntu1 MPEG audio decoder library
ii  libpiano0               2011.09.22-1     library to interface with Pandora 

pianobar recommends no packages.

Versions of packages pianobar suggests:
pn  libaudio-scrobbler-perl       <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Luke Faraone <lfaraone@debian.org>:
Bug#648209; Package pianobar. (Wed, 09 Nov 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Leuchtenburg <michael@slashhome.org>:
Extra info received and forwarded to list. Copy sent to Luke Faraone <lfaraone@debian.org>. (Wed, 09 Nov 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 648209@bugs.debian.org (full text, mbox):

From: Michael Leuchtenburg <michael@slashhome.org>
To: 648209@bugs.debian.org
Subject: new release available
Date: Wed, 09 Nov 2011 17:26:35 -0500
There's a new release of pianobar that fixes this:
https://github.com/PromyLOPh/pianobar/tags (2011.11.09)

Cheers,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#648209; Package pianobar. (Wed, 09 Nov 2011 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Faraone <lfaraone@debian.org>:
Extra info received and forwarded to list. (Wed, 09 Nov 2011 23:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 648209@bugs.debian.org (full text, mbox):

From: Luke Faraone <lfaraone@debian.org>
To: Michael Leuchtenburg <michael@slashhome.org>, 648209@bugs.debian.org
Subject: Re: Bug#648209: new release available
Date: Wed, 09 Nov 2011 18:46:30 -0500
[Message part 1 (text/plain, inline)]
On 09/11/11 17:26, Michael Leuchtenburg wrote:
> There's a new release of pianobar that fixes this:
> https://github.com/PromyLOPh/pianobar/tags (2011.11.09)

Right, but that release is still plagued by
<https://github.com/PromyLOPh/pianobar/issues/174>.

While I could ship code from the ls-emergency branch at
<https://github.com/PromyLOPh/pianobar/tree/tls-emergency>, I'd rather
wait the short while until that branch is rolled in to a new release.

In the interim, if you are on a desktop system, you can use «Piths», a
Pygmy-based client for Pandora.


-- 
Luke Faraone;; Debian & Ubuntu Developer; Sugar Labs, Systems
lfaraone on irc.[freenode,oftc].net -- http://luke.faraone.cc
PGP fprint: 5189 2A7D 16D0 49BB 046B DC77 9732 5DD8 F9FD D506

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Luke Faraone <lfaraone@debian.org>:
You have taken responsibility. (Wed, 16 Nov 2011 19:54:05 GMT) Full text and rfc822 format available.

Notification sent to Luke Faraone <lfaraone@debian.org>:
Bug acknowledged by developer. (Wed, 16 Nov 2011 19:54:05 GMT) Full text and rfc822 format available.

Message #20 received at 648209-close@bugs.debian.org (full text, mbox):

From: Luke Faraone <lfaraone@debian.org>
To: 648209-close@bugs.debian.org
Subject: Bug#648209: fixed in pianobar 2011.11.11-1
Date: Wed, 16 Nov 2011 19:50:31 +0000
Source: pianobar
Source-Version: 2011.11.11-1

We believe that the bug you reported is fixed in the latest version of
pianobar, which is due to be installed in the Debian FTP archive:

libpiano-dev_2011.11.11-1_amd64.deb
  to main/p/pianobar/libpiano-dev_2011.11.11-1_amd64.deb
libpiano0_2011.11.11-1_amd64.deb
  to main/p/pianobar/libpiano0_2011.11.11-1_amd64.deb
pianobar_2011.11.11-1.debian.tar.gz
  to main/p/pianobar/pianobar_2011.11.11-1.debian.tar.gz
pianobar_2011.11.11-1.dsc
  to main/p/pianobar/pianobar_2011.11.11-1.dsc
pianobar_2011.11.11-1_amd64.deb
  to main/p/pianobar/pianobar_2011.11.11-1_amd64.deb
pianobar_2011.11.11.orig.tar.bz2
  to main/p/pianobar/pianobar_2011.11.11.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648209@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luke Faraone <lfaraone@debian.org> (supplier of updated pianobar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 16 Nov 2011 14:26:36 -0500
Source: pianobar
Binary: pianobar libpiano0 libpiano-dev
Architecture: source amd64
Version: 2011.11.11-1
Distribution: unstable
Urgency: high
Maintainer: Luke Faraone <lfaraone@debian.org>
Changed-By: Luke Faraone <lfaraone@debian.org>
Description: 
 libpiano-dev - library to interface with Pandora radio -- development
 libpiano0  - library to interface with Pandora radio -- runtime files
 pianobar   - console based player for Pandora radio
Closes: 648209
Changes: 
 pianobar (2011.11.11-1) unstable; urgency=high
 .
   * New upstream version
     - SSL support and XMLRPC api version compatibility (v33)
       (closes: #648209, LP: #887886)
Checksums-Sha1: 
 0e3079862e4cc7c436edda134ab1811904e4928e 2091 pianobar_2011.11.11-1.dsc
 3ae9762c553546b76ed16f55c8c35ce6ed24f0de 67778 pianobar_2011.11.11.orig.tar.bz2
 cb0e8e52467310fc17e4231f02e028f46e050dfa 4180 pianobar_2011.11.11-1.debian.tar.gz
 f891c1d4bbd8ebe3b5f41195ce48b43b4108de4b 33630 pianobar_2011.11.11-1_amd64.deb
 4a8dda15700eda42ba754acf4b480722f60a60c5 40654 libpiano0_2011.11.11-1_amd64.deb
 74a2878141c3a8bdf61adbcb248d68dd5f874725 43024 libpiano-dev_2011.11.11-1_amd64.deb
Checksums-Sha256: 
 4f860b0bf177500f14b6e1a9ebf168b670cdfdd91afbffdb21255d817e0c21f6 2091 pianobar_2011.11.11-1.dsc
 c1f5df7813b543992b79ac1558d27ff3fb0198f7bfb2d5d2e39173df4fae951b 67778 pianobar_2011.11.11.orig.tar.bz2
 ea7a35e10cfaff804998f8e77d8e217c3fc9c56e82de6e93b95e81640ef85ec1 4180 pianobar_2011.11.11-1.debian.tar.gz
 d07786ae5401d425adcd8d4bb22eb56c220a5ff09b17679617a5a454270854b7 33630 pianobar_2011.11.11-1_amd64.deb
 9a9449a1c4b23917ead654d3bad6d164d8a2edd0b6adb8e70768b8163a8308a7 40654 libpiano0_2011.11.11-1_amd64.deb
 8fbc4a9664ab998b7bc18bc98080d5a24cef3ea626af4c9ecba3cb37a31b3229 43024 libpiano-dev_2011.11.11-1_amd64.deb
Files: 
 ed28f817722a20b6de610a8f1030b6fd 2091 sound optional pianobar_2011.11.11-1.dsc
 e58ce5fa9a0b4104431e706a41c52526 67778 sound optional pianobar_2011.11.11.orig.tar.bz2
 930c68ecfd8d5d1fa5f3805393e36436 4180 sound optional pianobar_2011.11.11-1.debian.tar.gz
 12cf02fb4dfb09aaee36329b81f4078b 33630 sound optional pianobar_2011.11.11-1_amd64.deb
 54df8e9ab0c821718e2604dd7c1ced6c 40654 libs optional libpiano0_2011.11.11-1_amd64.deb
 7c5e94abb35a1a1ab28ca1ef97dfd803 43024 libdevel optional libpiano-dev_2011.11.11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOxBCQAAoJEJcyXdj5/dUGfT4QANcJlbyYAFg9gSnAQ85gAIRn
4ZEoeYlxFDqUD/68e9GgFb6iVZf1JQNyh6FJ1BT5anhG9/1F4Op+WbbRom6QzPpS
Bxg98pwlVRVYwghvVU0jfr2s/6If+aQ+yvGUS781E/yaZRVXdcpgX5t+wBPfE8iG
jo1INGyFmjo8ee2YROqE/ElKSbEpyKv7+PsOJd02sDzLMR8hDaZg6g18EQoeEanh
B+VEW+5cMYWag/PcObJg6wpnP1l4m/CeRXIM9nKk1JlM30nerMoZ+562FGQR7L+6
ZTdKqhPNKbR4Krpbb8PA5EeW/l+HCA5KqFRSM5G5BhyUw9fX8Wu4+2MuVvo29zMn
Fc3ycENwN1ayICS6IOfUi9OGIk6tOAhsTrVKRao0I8HiW9U5w/bxpiLUxqcGWmR4
BN2TyJCzUwdIp3QRyr7p/YSUgaKzwWRVaSBZLads/4SdOwhqXqyLJGst/HoME/01
MdbO42cNV9prwD439EJE8bkvBBj/jeXDQec2GxSYvVy+sMD0KZOCECNlGts21KA0
WrT3yu/x7uYFmtzNj0h2KRo9vp7DG+/jqd/Q/11LIjeEtyX+ADBKRBwH4Ef7+TmT
dFYd3nWZR/SZ2Wnlzxjp9ZpUK8Oa7IvGdm+yDogtlaJ8qellZQh1kIkwpbDji0mW
VI0buM41fnE2Ht5kSLWc
=kaCr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Dec 2011 07:33:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:21:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.